geos::math::DD Class Reference

Wrapper for DoubleDouble higher precision mathematics operations. More...

`#include <DD.h>`

## Public Member Functions

| DD (double p_hi, double p_lo)
| DD (double x)
bool | operator== (const DD &rhs) const
bool | operator!= (const DD &rhs) const
bool | operator< (const DD &rhs) const
bool | operator<= (const DD &rhs) const
bool | operator> (const DD &rhs) const
bool | operator>= (const DD &rhs) const
bool | isNaN () const
bool | isNegative () const
bool | isPositive () const
bool | isZero () const
double | doubleValue () const
double | ToDouble () const
int | intValue () const
DD | negate () const
DD | reciprocal () const
DD | floor () const
DD | ceil () const
void | selfAdd (const DD &d)
void | selfAdd (double p_hi, double p_lo)
void | selfAdd (double y)
void | selfSubtract (const DD &d)
void | selfSubtract (double p_hi, double p_lo)
void | selfSubtract (double y)
void | selfMultiply (double p_hi, double p_lo)
void | selfMultiply (const DD &d)
void | selfMultiply (double y)
void | selfDivide (double p_hi, double p_lo)
void | selfDivide (const DD &d)
void | selfDivide (double y)

## Static Public Member Functions

static DD | determinant (const DD &x1, const DD &y1, const DD &x2, const DD &y2)
static DD | determinant (double x1, double y1, double x2, double y2)
static DD | abs (const DD &d)
static DD | pow (const DD &d, int exp)
static DD | trunc (const DD &d)

## Friends

DD | operator+ (const DD &lhs, const DD &rhs)
DD | operator+ (const DD &lhs, double rhs)
DD | operator- (const DD &lhs, const DD &rhs)
DD | operator- (const DD &lhs, double rhs)
DD | operator* (const DD &lhs, const DD &rhs)
DD | operator* (const DD &lhs, double rhs)
DD | operator/ (const DD &lhs, const DD &rhs)
DD | operator/ (const DD &lhs, double rhs)

## Detailed Description

Wrapper for DoubleDouble higher precision mathematics operations.

The documentation for this class was generated from the following file:

- DD.h